Subject: Re: bug#23286: Unable to unlock xscreensaver in Xfce

From: Albin <[email-masked]>
Date: Sat, 23 Apr 2016 19:47:20 +0200

Den 2016-04-23 kl. 09:55, skrev Danny Milosavljevic:
> On Thu, 14 Apr 2016 18:50:32 +0200
> [email-masked] (Ludovic Courtès) wrote:
>> As Chris Webber mentioned on the mailing list (IIRC), you’ll also have
>> to enable xscreensaver in the OS config:
>>
>>   (use-modules (gnu services xorg))
>>
>>   (operating-system
>>     ;; …
>>     (services (cons (screen-locker-service "xscreensaver")
>>                     %desktop-services)))
> 
> guix system: error: failed to load '/etc/config.scm':
> gnu/services/xorg.scm:442:41: In procedure screen-locker-service:
> gnu/services/xorg.scm:442:41: In procedure struct_vtable: Wrong type argument in position 1 (expecting struct): "xscreensaver"
> 
> To fix, use
> 
>    (use-modules (gnu services xorg))
>    (use-package-modules .... xdisorg)
> 
>    (operating-system
>      ;; …
>      (services (cons (screen-locker-service xscreensaver)
>                      %desktop-services)))
> 
> (i.e. without the doublequotes)
> 

Danny, I tried your fix but it didn't work for me.  I was able to run,
as root, `guix pull` + `guix system reconfigure` and log back in, but
when I try to unlock the screen my user password is refused.

Albin